/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct UpdateUserCustomStatusRequest {
    /// Any emoji
    #[serde(rename = "emoji")]
    pub emoji: String,
    /// Any custom status text
    #[serde(rename = "text")]
    pub text: String,
    /// Duration of custom status, can be `thirty_minutes`, `one_hour`, `four_hours`, `today`, `this_week` or `date_and_time`
    #[serde(rename = "duration", skip_serializing_if = "Option::is_none")]
    pub duration: Option<String>,
    /// The time at which custom status should be expired. It should be in ISO format.
    #[serde(rename = "expires_at", skip_serializing_if = "Option::is_none")]
    pub expires_at: Option<String>,
}

impl UpdateUserCustomStatusRequest {
    pub fn new(emoji: String, text: String) -> UpdateUserCustomStatusRequest {
        UpdateUserCustomStatusRequest {
            emoji,
            text,
            duration: None,
            expires_at: None,
        }
    }
}
